if (!defined &_SYS_FS_CACHEFS_LOG_H) {
    eval 'sub _SYS_FS_CACHEFS_LOG_H {1;}';
    require 'sys/types.ph';
    require 'sys/vfs.ph';
    require 'sys/fs/cachefs_fs.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub CACHEFS_LOG_MAGIC {32321;}';
    eval 'sub CACHEFS_LOG_FILE_REV {1;}';
    eval 'sub CACHEFS_LOG_MOUNT {1;}';
    eval 'sub CACHEFS_LOG_UMOUNT {2;}';
    eval 'sub CACHEFS_LOG_GETPAGE {3;}';
    eval 'sub CACHEFS_LOG_READDIR {4;}';
    eval 'sub CACHEFS_LOG_READLINK {5;}';
    eval 'sub CACHEFS_LOG_REMOVE {6;}';
    eval 'sub CACHEFS_LOG_RMDIR {7;}';
    eval 'sub CACHEFS_LOG_TRUNCATE {8;}';
    eval 'sub CACHEFS_LOG_PUTPAGE {9;}';
    eval 'sub CACHEFS_LOG_CREATE {10;}';
    eval 'sub CACHEFS_LOG_MKDIR {11;}';
    eval 'sub CACHEFS_LOG_RENAME {12;}';
    eval 'sub CACHEFS_LOG_SYMLINK {13;}';
    eval 'sub CACHEFS_LOG_POPULATE {14;}';
    eval 'sub CACHEFS_LOG_CSYMLINK {15;}';
    eval 'sub CACHEFS_LOG_FILLDIR {16;}';
    eval 'sub CACHEFS_LOG_MDCREATE {17;}';
    eval 'sub CACHEFS_LOG_GPFRONT {18;}';
    eval 'sub CACHEFS_LOG_RFDIR {19;}';
    eval 'sub CACHEFS_LOG_UALLOC {20;}';
    eval 'sub CACHEFS_LOG_CALLOC {21;}';
    eval 'sub CACHEFS_LOG_NOCACHE {22;}';
    eval 'sub CACHEFS_LOG_NUMRECS {22;}';
    eval 'sub CACHEFS_LOG_LOGGING {
        local($cp, $which) = @_;
        eval "(($cp !=  &NULL) && ($cp-> &c_log !=  &NULL) && ($cp-> &c_log_ctl-> &lc_which[$which /  &NBBY] & (1 << ($which %  &NBBY))))";
    }';
    eval 'sub CACHEFS_LOG_SET {
        local($lc, $which) = @_;
        eval "($lc-> &lc_which[$which /  &NBBY] |= (1 << ($which %  &NBBY)))";
    }';
    eval 'sub CACHEFS_LOG_CLEAR {
        local($lc, $which) = @_;
        eval "($lc-> &lc_which[$which /  &NBBY] &= ~(1 << ($which %  &NBBY)))";
    }';
    eval 'sub CLPAD {
        local($sname, $field) = @_;
        eval "(($sizeof{\'struct sname\'}) -  (&((0)->$field)) - ($sizeof{((struct sname *}0)->$field)))";
    }';
    if (defined &__cplusplus) {
    }
}
1;
