if (!defined &_SYS_FS_HSFS_NODE_H) {
    eval 'sub _SYS_FS_HSFS_NODE_H {1;}';
    if (defined &__cplusplus) {
    }
    eval 'sub HREF {1;}';
    eval 'sub HS_HASHSIZE {32;}';
    eval 'sub HS_HSTABLESIZE {16384;}';
    eval 'sub HSFS_MAGIC {0x03095500;}';
    eval 'sub HSFS_ERR_TRAILING_JUNK {0;}';
    eval 'sub HSFS_ERR_LOWER_CASE_NM {1;}';
    eval 'sub HSFS_ERR_BAD_ROOT_DIR {2;}';
    eval 'sub HSFS_ERR_UNSUP_TYPE {3;}';
    eval 'sub HSFS_ERR_BAD_FILE_LEN {4;}';
    eval 'sub HSFS_HAVE_LOWER_CASE {
        local($fsp) = @_;
        eval "(($fsp)-> &hsfs_err_flags & (1 <<  &HSFS_ERR_LOWER_CASE_NM))";
    }';
    eval 'sub hs_blksize {
        local($HSFS, $HSP, $OFF) = @_;
        eval "(($HSP)-> &hs_vn. &v_flag &  &VROOT ? (($OFF) >= (($HSFS)-> &hsfs_rdirsec & ~(($HSFS)-> &hsfs_spcl - 1))* &HS_SECSIZE ? (($HSFS)-> &hsfs_rdirsec & (($HSFS)-> &hsfs_spcl - 1))* &HS_SECSIZE : ($HSFS)-> &hsfs_clsize): ($HSFS)-> &hsfs_clsize)";
    }';
    eval 'sub hs_blkoff {
        local($OFF) = @_;
        eval "(($OFF) & ( &HS_SECSIZE - 1))";
    }';
    eval 'sub VFS_TO_HSFS {
        local($VFSP) = @_;
        eval "(($VFSP)-> &vfs_data)";
    }';
    eval 'sub HSFS_TO_VFS {
        local($FSP) = @_;
        eval "(($FSP)-> &hsfs_vfs)";
    }';
    eval 'sub VTOH {
        local($VP) = @_;
        eval "(($VP)-> &v_data)";
    }';
    eval 'sub HTOV {
        local($HP) = @_;
        eval "(&(($HP)-> &hs_vnode))";
    }';
    eval 'sub LBN_TO_SEC {
        local($lbn, $vfsp) = @_;
        eval "(($lbn)>>((($vfsp)-> &vfs_data))->  &hsfs_vol. &lbn_secshift)";
    }';
    eval 'sub SEC_TO_LBN {
        local($sec, $vfsp) = @_;
        eval "(($sec)<<((($vfsp)-> &vfs_data))->  &hsfs_vol. &lbn_secshift)";
    }';
    eval 'sub LBN_TO_BYTE {
        local($lbn, $vfsp) = @_;
        eval "(($lbn)<<((($vfsp)-> &vfs_data))->  &hsfs_vol. &lbn_shift)";
    }';
    eval 'sub BYTE_TO_LBN {
        local($boff, $vfsp) = @_;
        eval "(($boff)>>((($vfsp)-> &vfs_data))->  &hsfs_vol. &lbn_shift)";
    }';
    eval 'sub BYTE_TO_LBN {
        local($boff, $vfsp) = @_;
        eval "(($boff)>>((($vfsp)-> &vfs_data))->  &hsfs_vol. &lbn_shift)";
    }';
    eval 'sub HSFS_MIN_DL_SHFT {5;}';
    eval 'sub MAKE_NODEID {
        local($lbn, $off, $vfsp) = @_;
        eval "(( &LBN_TO_BYTE(($lbn), ($vfsp)) + ($off)) >>  &HSFS_MIN_DL_SHFT)";
    }';
    if (defined &__cplusplus) {
    }
}
1;
