if (!defined &_SYS_STREAM_H) {
    eval 'sub _SYS_STREAM_H {1;}';
    require 'sys/vnode.ph';
    require 'sys/poll.ph';
    require 'sys/strmdep.ph';
    require 'sys/cred.ph';
    require 'sys/t_lock.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub QENAB {0x001;}';
    eval 'sub QWANTR {0x002;}';
    eval 'sub QWANTW {0x004;}';
    eval 'sub QFULL {0x008;}';
    eval 'sub QREADR {0x010;}';
    eval 'sub QUSE {0x020;}';
    eval 'sub QNOENB {0x040;}';
    eval 'sub QOLD {0x080;}';
    eval 'sub QBACK {0x100;}';
    eval 'sub QHLIST {0x200;}';
    eval 'sub QUNSAFE {0x400;}';
    eval 'sub QPAIR {0x800;}';
    eval 'sub QPERQ {0x1000;}';
    eval 'sub QPERMOD {0x2000;}';
    eval 'sub QMTSAFE {0x4000;}';
    eval 'sub QMTOUTPERIM {0x8000;}';
    eval 'sub QMT_TYPEMASK {( &QUNSAFE| &QPAIR| &QPERQ| &QPERMOD| &QMTSAFE| &QMTOUTPERIM);}';
    eval 'sub QINSERVICE {0x10000;}';
    eval 'sub QWCLOSE {0x20000;}';
    eval 'sub QEND {0x40000;}';
    eval 'sub QWANTWSYNC {0x80000;}';
    eval 'sub QSYNCSTR {0x100000;}';
    eval 'sub QISDRV {0x200000;}';
    eval 'sub QB_FULL {0x01;}';
    eval 'sub QB_WANTW {0x02;}';
    eval 'sub QB_BACK {0x04;}';
    eval 'sub NBAND {256;}';
    eval 'sub STRUIOT_NONE {-1;}';
    eval 'sub STRUIOT_DONTCARE {0;}';
    eval 'sub STRUIOT_STANDARD {1;}';
    eval 'sub STRUIOT_IP {2;}';
    eval 'sub STRUIO_SPEC {0x01;}';
    eval 'sub STRUIO_DONE {0x02;}';
    eval 'sub STRUIO_IP {0x04;}';
    eval 'sub MSGMARK {0x01;}';
    eval 'sub MSGNOLOOP {0x02;}';
    eval 'sub MSGDELIM {0x04;}';
    eval 'sub MSGNOGET {0x08;}';
    eval 'sub M_DATA {0x00;}';
    eval 'sub M_PROTO {0x01;}';
    eval 'sub M_BREAK {0x08;}';
    eval 'sub M_PASSFP {0x09;}';
    eval 'sub M_EVENT {0x0a;}';
    eval 'sub M_SIG {0x0b;}';
    eval 'sub M_DELAY {0x0c;}';
    eval 'sub M_CTL {0x0d;}';
    eval 'sub M_IOCTL {0x0e;}';
    eval 'sub M_SETOPTS {0x10;}';
    eval 'sub M_RSE {0x11;}';
    if (defined &_VPIX) {
	eval 'sub M_VPIXINT {0x12;}';
    }
    eval 'sub M_IOCACK {0x81;}';
    eval 'sub M_IOCNAK {0x82;}';
    eval 'sub M_PCPROTO {0x83;}';
    eval 'sub M_PCSIG {0x84;}';
    eval 'sub M_READ {0x85;}';
    eval 'sub M_FLUSH {0x86;}';
    eval 'sub M_STOP {0x87;}';
    eval 'sub M_START {0x88;}';
    eval 'sub M_HANGUP {0x89;}';
    eval 'sub M_ERROR {0x8a;}';
    eval 'sub M_COPYIN {0x8b;}';
    eval 'sub M_COPYOUT {0x8c;}';
    eval 'sub M_IOCDATA {0x8d;}';
    eval 'sub M_PCRSE {0x8e;}';
    eval 'sub M_STOPI {0x8f;}';
    eval 'sub M_STARTI {0x90;}';
    eval 'sub M_PCEVENT {0x91;}';
    eval 'sub M_UNHANGUP {0x92;}';
    eval 'sub QNORM {0x00;}';
    eval 'sub QPCTL {0x80;}';
    eval 'sub ioc_uid { &ioc_cr-> &cr_uid;}';
    eval 'sub ioc_gid { &ioc_cr-> &cr_gid;}';
    eval 'sub cq_uid { &cq_cr-> &cr_uid;}';
    eval 'sub cq_gid { &cq_cr-> &cr_gid;}';
    eval 'sub STRCANON {0x01;}';
    eval 'sub RECOPY {0x02;}';
    eval 'sub cp_uid { &cp_cr-> &cr_uid;}';
    eval 'sub cp_gid { &cp_cr-> &cr_gid;}';
    eval 'sub SO_ALL {0x003f;}';
    eval 'sub SO_READOPT {0x0001;}';
    eval 'sub SO_WROFF {0x0002;}';
    eval 'sub SO_MINPSZ {0x0004;}';
    eval 'sub SO_MAXPSZ {0x0008;}';
    eval 'sub SO_HIWAT {0x0010;}';
    eval 'sub SO_LOWAT {0x0020;}';
    eval 'sub SO_MREADON {0x0040;}';
    eval 'sub SO_MREADOFF {0x0080;}';
    eval 'sub SO_NDELON {0x0100;}';
    eval 'sub SO_NDELOFF {0x0200;}';
    eval 'sub SO_ISTTY {0x0400;}';
    eval 'sub SO_ISNTTY {0x0800;}';
    eval 'sub SO_TOSTOP {0x1000;}';
    eval 'sub SO_TONSTOP {0x2000;}';
    eval 'sub SO_BAND {0x4000;}';
    eval 'sub SO_DELIM {0x8000;}';
    eval 'sub SO_NODELIM {0x010000;}';
    eval 'sub SO_STRHOLD {0x020000;}';
    eval 'sub SO_ERROPT {0x040000;}';
    eval 'sub DEF_IOV_MAX {16;}';
    eval 'sub INFOD_FIRSTBYTES {0x02;}';
    eval 'sub INFOD_BYTES {0x04;}';
    eval 'sub INFOD_COUNT {0x08;}';
    eval 'sub INFOD_COPYOUT {0x10;}';
    if (defined &_KERNEL) {
	eval 'sub NOERROR {(-1);}';
    }
    eval 'sub MODOPEN {0x1;}';
    eval 'sub CLONEOPEN {0x2;}';
    eval 'sub OPENFAIL {-1;}';
    eval 'sub BPRI_LO {1;}';
    eval 'sub BPRI_MED {2;}';
    eval 'sub BPRI_HI {3;}';
    eval 'sub INFPSZ {-1;}';
    eval 'sub FLUSHALL {1;}';
    eval 'sub FLUSHDATA {0;}';
    eval 'sub TRANSPARENT {(-1);}';
    eval 'sub STIPRI { &PZERO+3;}';
    eval 'sub STOPRI { &PZERO+3;}';
    eval 'sub STRHIGH {5120;}';
    eval 'sub STRLOW {1024;}';
    eval 'sub MAXIOCBSZ {1024;}';
    eval 'sub PERIM_INNER {1;}';
    eval 'sub PERIM_OUTER {2;}';
    eval 'sub splstr {
        eval " &spltty()";
    }';
    eval 'sub canenable {
        local($q) = @_;
        eval "!(($q)-> &q_flag &  &QNOENB)";
    }';
    if (defined &TRACE) {
	eval 'sub QNAME {
	    local($q) = @_;
	    eval "(($q)-> &q_qinfo-> &qi_minfo-> &mi_idname)";
	}';
    }
    eval 'sub datamsg {
        local($type) = @_;
        eval "(($type) ==  &M_DATA || ($type) ==  &M_PROTO || ($type) ==  &M_PCPROTO || ($type) ==  &M_DELAY)";
    }';
    eval 'sub queclass {
        local($bp) = @_;
        eval "((($bp)-> &b_datap-> &db_type >=  &QPCTL) ?  &QPCTL :  &QNORM)";
    }';
    eval 'sub straln {
        local($a) = @_;
        eval "( &caddr_t)(($a) & ~($sizeof{\'int\'}-1))";
    }';
    eval 'sub bpsize {
        local($bp) = @_;
        eval "(($bp-> &b_datap-> &db_lim - $bp-> &b_datap-> &db_base))";
    }';
    if (defined &_KERNEL) {
    }
    if (defined &__cplusplus) {
    }
}
1;
