if (!defined &_SYS_FS_HSFS_SPEC_H) {
    eval 'sub _SYS_FS_HSFS_SPEC_H {1;}';
    require 'sys/types.ph';
    require 'sys/time.ph';
    if (defined &__cplusplus) {
    }
    if (defined &_KERNEL) {
    }
    eval 'sub ZERO {
        local($x) = @_;
        eval " ((($x))[0])";
    }';
    eval 'sub ONE {
        local($x) = @_;
        eval " ((($x))[1])";
    }';
    eval 'sub TWO {
        local($x) = @_;
        eval " ((($x))[2])";
    }';
    eval 'sub THREE {
        local($x) = @_;
        eval " ((($x))[3])";
    }';
    eval 'sub MSB_INT {
        local($x) = @_;
        eval "(((((( &ZERO($x) << 8) |  &ONE($x)) << 8) |  &TWO($x)) << 8) |  &THREE($x))";
    }';
    eval 'sub LSB_INT {
        local($x) = @_;
        eval "(((((( &THREE($x) << 8) |  &TWO($x)) << 8) |  &ONE($x)) << 8) |  &ZERO($x))";
    }';
    eval 'sub MSB_SHORT {
        local($x) = @_;
        eval "(( &ZERO($x) << 8) |  &ONE($x))";
    }';
    eval 'sub LSB_SHORT {
        local($x) = @_;
        eval "(( &ONE($x) << 8) |  &ZERO($x))";
    }';
    if (defined( &i386) || defined( &__i386)) {
	eval 'sub BOTH_SHORT {
	    local($x) = @_;
	    eval " *($x)";
	}';
	eval 'sub BOTH_INT {
	    local($x) = @_;
	    eval " *($x)";
	}';
    }
    elsif (defined( &sparc) || defined( &__sparc) || defined( &__ppc)) {
	eval 'sub BOTH_SHORT {
	    local($x) = @_;
	    eval " &LSB_SHORT($x)";
	}';
	eval 'sub BOTH_INT {
	    local($x) = @_;
	    eval " &LSB_INT($x)";
	}';
    }
    eval 'sub HS_SECTOR_SIZE {2048;}';
    eval 'sub HS_SECTOR_SHIFT {11;}';
    eval 'sub HS_SEC_PER_PAGE {( &PAGESIZE/ &HS_SECTOR_SIZE);}';
    eval 'sub HS_SYSAREA_SEC {0;}';
    eval 'sub HS_VOLDESC_SEC {16;}';
    eval 'sub MAXHSOFFSET {( &HS_SECTOR_SIZE - 1);}';
    eval 'sub MAXHSMASK {(~ &MAXHSOFFSET);}';
    eval 'sub HSV_ID_STRING {"CDROM";}';
    eval 'sub HSV_ID_STRLEN {5;}';
    eval 'sub HSV_ID_VER {1;}';
    eval 'sub HSV_FILE_STRUCT_ID_VER {1;}';
    eval 'sub HSV_SYS_ID_STRLEN {32;}';
    eval 'sub HSV_VOL_ID_STRLEN {32;}';
    eval 'sub HSV_VOL_SET_ID_STRLEN {128;}';
    eval 'sub HSV_PUB_ID_STRLEN {128;}';
    eval 'sub HSV_PREP_ID_STRLEN {128;}';
    eval 'sub HSV_APPL_ID_STRLEN {128;}';
    eval 'sub HSV_COPYR_ID_STRLEN {32;}';
    eval 'sub HSV_ABSTR_ID_STRLEN {32;}';
    eval 'sub HSV_DATE_LEN {16;}';
    eval 'sub HSV_desc_lbn {
        local($x) = @_;
        eval "(&($x)[0])";
    }';
    eval 'sub HSV_desc_type {
        local($x) = @_;
        eval "(&($x)[8])";
    }';
    eval 'sub HSV_std_id {
        local($x) = @_;
        eval "(&($x)[9])";
    }';
    eval 'sub HSV_std_ver {
        local($x) = @_;
        eval "(&($x)[14])";
    }';
    eval 'sub HSV_sys_id {
        local($x) = @_;
        eval "(&($x)[16])";
    }';
    eval 'sub HSV_vol_id {
        local($x) = @_;
        eval "(&($x)[48])";
    }';
    eval 'sub HSV_vol_size {
        local($x) = @_;
        eval "(&($x)[88])";
    }';
    eval 'sub HSV_set_size {
        local($x) = @_;
        eval "(&($x)[128])";
    }';
    eval 'sub HSV_set_seq {
        local($x) = @_;
        eval "(&($x)[132])";
    }';
    eval 'sub HSV_blk_size {
        local($x) = @_;
        eval "(&($x)[136])";
    }';
    eval 'sub HSV_ptbl_size {
        local($x) = @_;
        eval "(&($x)[140])";
    }';
    eval 'sub HSV_ptbl_man_ls {
        local($x) = @_;
        eval "(&($x)[148])";
    }';
    eval 'sub HSV_ptbl_opt_ls1 {
        local($x) = @_;
        eval "(&($x)[152])";
    }';
    eval 'sub HSV_ptbl_opt_ls2 {
        local($x) = @_;
        eval "(&($x)[156])";
    }';
    eval 'sub HSV_ptbl_opt_ls3 {
        local($x) = @_;
        eval "(&($x)[160])";
    }';
    eval 'sub HSV_ptbl_man_ms {
        local($x) = @_;
        eval "(&($x)[164])";
    }';
    eval 'sub HSV_ptbl_opt_ms1 {
        local($x) = @_;
        eval "(&($x)[168])";
    }';
    eval 'sub HSV_ptbl_opt_ms2 {
        local($x) = @_;
        eval "(&($x)[172])";
    }';
    eval 'sub HSV_ptbl_opt_ms3 {
        local($x) = @_;
        eval "(&($x)[176])";
    }';
    eval 'sub HSV_root_dir {
        local($x) = @_;
        eval "(&($x)[180])";
    }';
    eval 'sub HSV_vol_set_id {
        local($x) = @_;
        eval "(&($x)[214])";
    }';
    eval 'sub HSV_pub_id {
        local($x) = @_;
        eval "(&($x)[342])";
    }';
    eval 'sub HSV_prep_id {
        local($x) = @_;
        eval "(&($x)[470])";
    }';
    eval 'sub HSV_appl_id {
        local($x) = @_;
        eval "(&($x)[598])";
    }';
    eval 'sub HSV_copyr_id {
        local($x) = @_;
        eval "(&($x)[726])";
    }';
    eval 'sub HSV_abstr_id {
        local($x) = @_;
        eval "(&($x)[758])";
    }';
    eval 'sub HSV_cre_date {
        local($x) = @_;
        eval "(&($x)[790])";
    }';
    eval 'sub HSV_mod_date {
        local($x) = @_;
        eval "(&($x)[806])";
    }';
    eval 'sub HSV_exp_date {
        local($x) = @_;
        eval "(&($x)[822])";
    }';
    eval 'sub HSV_eff_date {
        local($x) = @_;
        eval "(&($x)[838])";
    }';
    eval 'sub HSV_file_struct_ver {
        local($x) = @_;
        eval "(&($x)[854])";
    }';
    eval 'sub HSV_DESC_LBN {
        local($x) = @_;
        eval " &BOTH_INT( &HSV_desc_lbn($x))";
    }';
    eval 'sub HSV_DESC_TYPE {
        local($x) = @_;
        eval "(( &enum  &hs_voldesc_type)*( &HSV_desc_type($x)))";
    }';
    eval 'sub HSV_STD_ID {
        local($x) = @_;
        eval " &HSV_std_id($x)";
    }';
    eval 'sub HSV_STD_VER {
        local($x) = @_;
        eval "*( &HSV_std_ver($x))";
    }';
    eval 'sub HSV_SYS_ID {
        local($x) = @_;
        eval " &HSV_sys_id($x)";
    }';
    eval 'sub HSV_VOL_ID {
        local($x) = @_;
        eval " &HSV_vol_id($x)";
    }';
    eval 'sub HSV_VOL_SIZE {
        local($x) = @_;
        eval " &BOTH_INT( &HSV_vol_size($x))";
    }';
    eval 'sub HSV_SET_SIZE {
        local($x) = @_;
        eval " &BOTH_SHORT( &HSV_set_size($x))";
    }';
    eval 'sub HSV_SET_SEQ {
        local($x) = @_;
        eval " &BOTH_SHORT( &HSV_set_seq($x))";
    }';
    eval 'sub HSV_BLK_SIZE {
        local($x) = @_;
        eval " &BOTH_SHORT( &HSV_blk_size($x))";
    }';
    eval 'sub HSV_PTBL_SIZE {
        local($x) = @_;
        eval " &BOTH_INT( &HSV_ptbl_size($x))";
    }';
    eval 'sub HSV_PTBL_MAN_LS {
        local($x) = @_;
        eval " &LSB_INT( &HSV_ptbl_man_ls($x))";
    }';
    eval 'sub HSV_PTBL_OPT_LS1 {
        local($x) = @_;
        eval " &LSB_INT( &HSV_ptbl_opt_ls1($x))";
    }';
    eval 'sub HSV_PTBL_OPT_LS2 {
        local($x) = @_;
        eval " &LSB_INT( &HSV_ptbl_opt_ls2($x))";
    }';
    eval 'sub HSV_PTBL_OPT_LS3 {
        local($x) = @_;
        eval " &LSB_INT( &HSV_ptbl_opt_ls3($x))";
    }';
    eval 'sub HSV_PTBL_MAN_MS {
        local($x) = @_;
        eval " &MSB_INT( &HSV_ptbl_man_ms($x))";
    }';
    eval 'sub HSV_PTBL_OPT_MS1 {
        local($x) = @_;
        eval " &MSB_INT( &HSV_ptbl_opt_ms1($x))";
    }';
    eval 'sub HSV_PTBL_OPT_MS2 {
        local($x) = @_;
        eval " &MSB_INT( &HSV_ptbl_opt_ms2($x))";
    }';
    eval 'sub HSV_PTBL_OPT_MS3 {
        local($x) = @_;
        eval " &MSB_INT( &HSV_ptbl_opt_ms3($x))";
    }';
    eval 'sub HSV_ROOT_DIR {
        local($x) = @_;
        eval " &HSV_root_dir($x)";
    }';
    eval 'sub HSV_VOL_SET_ID {
        local($x) = @_;
        eval " &HSV_vol_set_id($x)";
    }';
    eval 'sub HSV_PUB_ID {
        local($x) = @_;
        eval " &HSV_pub_id($x)";
    }';
    eval 'sub HSV_PREP_ID {
        local($x) = @_;
        eval " &HSV_prep_id($x)";
    }';
    eval 'sub HSV_APPL_ID {
        local($x) = @_;
        eval " &HSV_appl_id($x)";
    }';
    eval 'sub HSV_COPYR_ID {
        local($x) = @_;
        eval " &HSV_copyr_id($x)";
    }';
    eval 'sub HSV_ABSTR_ID {
        local($x) = @_;
        eval " &HSV_abstr_id($x)";
    }';
    eval 'sub HSV_CRE_DATE {
        local($x) = @_;
        eval " &HSV_cre_date($x)";
    }';
    eval 'sub HSV_MOD_DATE {
        local($x) = @_;
        eval " &HSV_mod_date($x)";
    }';
    eval 'sub HSV_EXP_DATE {
        local($x) = @_;
        eval " &HSV_exp_date($x)";
    }';
    eval 'sub HSV_EFF_DATE {
        local($x) = @_;
        eval " &HSV_eff_date($x)";
    }';
    eval 'sub HSV_FILE_STRUCT_VER {
        local($x) = @_;
        eval "*( &HSV_file_struct_ver($x))";
    }';
    eval 'sub HSV_DATE_2DIG {
        local($x) = @_;
        eval "(((($x)[0] - ord(\'0\') * 10) + 					((x)[1] - \'0\')))";
    }';
    eval 'sub HSV_DATE_4DIG {
        local($x) = @_;
        eval "(((($x)[0] - ord(\'0\') * 1000) + 					(((x)[1] - \'0\') * 100) + 					(((x)[2] - \'0\') * 10) +							((x)[3] - \'0\')))";
    }';
    eval 'sub HSV_DATE_YEAR {
        local($x) = @_;
        eval " &HSV_DATE_4DIG(&($x)[0])";
    }';
    eval 'sub HSV_DATE_MONTH {
        local($x) = @_;
        eval " &HSV_DATE_2DIG(&($x)[4])";
    }';
    eval 'sub HSV_DATE_DAY {
        local($x) = @_;
        eval " &HSV_DATE_2DIG(&($x)[6])";
    }';
    eval 'sub HSV_DATE_HOUR {
        local($x) = @_;
        eval " &HSV_DATE_2DIG(&($x)[8])";
    }';
    eval 'sub HSV_DATE_MIN {
        local($x) = @_;
        eval " &HSV_DATE_2DIG(&($x)[10])";
    }';
    eval 'sub HSV_DATE_SEC {
        local($x) = @_;
        eval " &HSV_DATE_2DIG(&($x)[12])";
    }';
    eval 'sub HSV_DATE_HSEC {
        local($x) = @_;
        eval " &HSV_DATE_2DIG(&($x)[14])";
    }';
    eval 'sub HSV_DATE_GMTOFF {
        local($x) = @_;
        eval "(($x)[16])";
    }';
    eval 'sub HPE_FPESIZE {8;}';
    eval 'sub HPE_ext_lbn {
        local($x) = @_;
        eval "(&($x)[0])";
    }';
    eval 'sub HPE_xar_len {
        local($x) = @_;
        eval "(&($x)[4])";
    }';
    eval 'sub HPE_name_len {
        local($x) = @_;
        eval "(&($x)[5])";
    }';
    eval 'sub HPE_parent_no {
        local($x) = @_;
        eval "(&($x)[6])";
    }';
    eval 'sub HPE_name {
        local($x) = @_;
        eval "(&($x)[8])";
    }';
    if (defined( &sparc) || defined( &__sparc)) {
	eval 'sub HPE_EXT_LBN {
	    local($x) = @_;
	    eval "( &MSB_INT( &HPE_ext_lbn($x)))";
	}';
    }
    else {
	eval 'sub HPE_EXT_LBN {
	    local($x) = @_;
	    eval "*( &HPE_ext_lbn($x))";
	}';
    }
    eval 'sub HPE_XAR_LEN {
        local($x) = @_;
        eval "*( &HPE_xar_len($x))";
    }';
    eval 'sub HPE_NAME_LEN {
        local($x) = @_;
        eval "*( &HPE_name_len($x))";
    }';
    eval 'sub HPE_PARENT_NO {
        local($x) = @_;
        eval "*( &HPE_parent_no($x))";
    }';
    eval 'sub HPE_NAME {
        local($x) = @_;
        eval " &HPE_name($x)";
    }';
    eval 'sub HDE_ROOT_DIR_REC_SIZE {34;}';
    eval 'sub HDE_FDESIZE {33;}';
    eval 'sub HDE_FUSIZE {12;}';
    eval 'sub HDE_MAX_NAME_LEN {(255 -  &HDE_FDESIZE -  &HDE_FUSIZE);}';
    eval 'sub UNIX_TO_HDE_DATE {
        local($t, $p) = @_;
        eval " &parse_unixdate(($t), ($p))";
    }';
    eval 'sub HDE_dir_len {
        local($x) = @_;
        eval "(&($x)[0])";
    }';
    eval 'sub HDE_xar_len {
        local($x) = @_;
        eval "(&($x)[1])";
    }';
    eval 'sub HDE_ext_lbn {
        local($x) = @_;
        eval "(&($x)[2])";
    }';
    eval 'sub HDE_ext_size {
        local($x) = @_;
        eval "(&($x)[10])";
    }';
    eval 'sub HDE_cdate {
        local($x) = @_;
        eval "(&($x)[18])";
    }';
    eval 'sub HDE_flags {
        local($x) = @_;
        eval "(&($x)[24])";
    }';
    eval 'sub HDE_reserved {
        local($x) = @_;
        eval "(&($x)[25])";
    }';
    eval 'sub HDE_intrlv_size {
        local($x) = @_;
        eval "(&($x)[26])";
    }';
    eval 'sub HDE_intrlv_skip {
        local($x) = @_;
        eval "(&($x)[27])";
    }';
    eval 'sub HDE_vol_set {
        local($x) = @_;
        eval "(&($x)[28])";
    }';
    eval 'sub HDE_name_len {
        local($x) = @_;
        eval "(&($x)[32])";
    }';
    eval 'sub HDE_name {
        local($x) = @_;
        eval "(&($x)[33])";
    }';
    eval 'sub HDE_mode {
        local($x) = @_;
        eval "(&($x)[0])";
    }';
    eval 'sub HDE_uid {
        local($x) = @_;
        eval "(&($x)[4])";
    }';
    eval 'sub HDE_gid {
        local($x) = @_;
        eval "(&($x)[8])";
    }';
    eval 'sub HDE_DIR_LEN {
        local($x) = @_;
        eval "*( &HDE_dir_len($x))";
    }';
    eval 'sub HDE_XAR_LEN {
        local($x) = @_;
        eval "*( &HDE_xar_len($x))";
    }';
    eval 'sub HDE_EXT_LBN {
        local($x) = @_;
        eval " &BOTH_INT( &HDE_ext_lbn($x))";
    }';
    eval 'sub HDE_EXT_SIZE {
        local($x) = @_;
        eval " &BOTH_INT( &HDE_ext_size($x))";
    }';
    eval 'sub HDE_CDATE {
        local($x) = @_;
        eval " &HDE_cdate($x)";
    }';
    eval 'sub HDE_FLAGS {
        local($x) = @_;
        eval "*( &HDE_flags($x))";
    }';
    eval 'sub HDE_RESERVED {
        local($x) = @_;
        eval "*( &HDE_reserved($x))";
    }';
    eval 'sub HDE_INTRLV_SIZE {
        local($x) = @_;
        eval "*( &HDE_intrlv_size($x))";
    }';
    eval 'sub HDE_INTRLV_SKIP {
        local($x) = @_;
        eval "*( &HDE_intrlv_skip($x))";
    }';
    eval 'sub HDE_VOL_SET {
        local($x) = @_;
        eval " &BOTH_SHORT( &HDE_vol_set($x))";
    }';
    eval 'sub HDE_NAME_LEN {
        local($x) = @_;
        eval "*( &HDE_name_len($x))";
    }';
    eval 'sub HDE_NAME {
        local($x) = @_;
        eval " &HDE_name($x)";
    }';
    eval 'sub HDE_MODE {
        local($x) = @_;
        eval "*( &HDE_mode($x))";
    }';
    eval 'sub HDE_UID {
        local($x) = @_;
        eval "*( &HDE_uid($x))";
    }';
    eval 'sub HDE_GID {
        local($x) = @_;
        eval "*( &HDE_gid($x))";
    }';
    eval 'sub HDE_EXISTENCE {0x01;}';
    eval 'sub HDE_DIRECTORY {0x02;}';
    eval 'sub HDE_ASSOCIATED {0x04;}';
    eval 'sub HDE_RECORD {0x08;}';
    eval 'sub HDE_PROTECTION {0x10;}';
    eval 'sub HDE_UNUSED_FLAGS {0x60;}';
    eval 'sub HDE_LAST_EXTENT {0x80;}';
    eval 'sub HDE_PROHIBITED {( &HDE_DIRECTORY |  &HDE_ASSOCIATED |  &HDE_RECORD |  &HDE_LAST_EXTENT |  &HDE_UNUSED_FLAGS);}';
    eval 'sub HDE_DATE_YEAR {
        local($x) = @_;
        eval "(($x)[0] + 1900)";
    }';
    eval 'sub HDE_DATE_MONTH {
        local($x) = @_;
        eval "(($x)[1])";
    }';
    eval 'sub HDE_DATE_DAY {
        local($x) = @_;
        eval "(($x)[2])";
    }';
    eval 'sub HDE_DATE_HOUR {
        local($x) = @_;
        eval "(($x)[3])";
    }';
    eval 'sub HDE_DATE_MIN {
        local($x) = @_;
        eval "(($x)[4])";
    }';
    eval 'sub HDE_DATE_SEC {
        local($x) = @_;
        eval "(($x)[5])";
    }';
    eval 'sub HDE_DATE_GMTOFF {
        local($x) = @_;
        eval "(($x)[6])";
    }';
    eval 'sub HDE_REGULAR_FILE {
        local($x) = @_;
        eval "((($x) &  &HDE_PROHIBITED) == 0)";
    }';
    eval 'sub HDE_REGULAR_DIR {
        local($x) = @_;
        eval "((($x) &  &HDE_PROHIBITED) ==  &HDE_DIRECTORY)";
    }';
    eval 'sub HS_DIR_NAMELEN {31;}';
    eval 'sub HS_FILE_NAMELEN {31;}';
    if (defined &__cplusplus) {
    }
}
1;
