if (!defined &_SYS_TURNSTILE_H) {
    eval 'sub _SYS_TURNSTILE_H {1;}';
    require 'sys/types.ph';
    require 'sys/param.ph';
    require 'sys/pirec.ph';
    require 'sys/sleepq.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub NTSTILE_SQ {2;}';
    eval 'sub TSTILE_FREE {0;}';
    eval 'sub TSTILE_ACTIVE {1;}';
    if (defined &_KERNEL) {
	eval 'sub TS_ROWSZ {512;}';
	eval 'sub TS_COLSZ {128;}';
	eval 'sub TS_ROWBITS {9;}';
	eval 'sub TS_COLBITS {7;}';
	eval 'sub TS_ROWMASK {((1 <<  &TS_ROWBITS) - 1);}';
	eval 'sub TS_ROWCOL {
	    local($row, $col) = @_;
	    eval "($col <<  &TS_ROWBITS | $row)";
	}';
	eval 'sub TS_COL {
	    local($ts_id) = @_;
	    eval "(($ts_id) >>  &TS_ROWBITS)";
	}';
	eval 'sub TS_ROW {
	    local($ts_id) = @_;
	    eval "(($ts_id) &  &TS_ROWMASK)";
	}';
	eval 'sub TS_NEW {
	    local($n, $cond) = @_;
	    eval "( &turnstile_t *) &kmem_zalloc($n * $sizeof{ &turnstile_t}, $cond)";
	}';
	eval 'sub TS_VALID {
	    local($r, $c) = @_;
	    eval "(($r <  &tstile_mod. &tsm_rowcnt) && ($c <  &tstile_mod. &tsm_colsz))";
	}';
	eval 'sub TSTILE_PRIO_INVERTED {
	    local($ts) = @_;
	    eval "(($ts)-> &tsun. &ts_prioinv. &pi_benef !=  &NULL)";
	}';
	eval 'sub TSTILE_INSERT {
	    local($ts, $qnum, $c) = @_;
	    eval " &sleepq_insert(&($ts)-> &ts_sleepq[$qnum], $c)";
	}';
	eval 'sub TSTILE_WAKEONE {
	    local($ts, $qnum) = @_;
	    eval " &sleepq_wakeone(&($ts)-> &ts_sleepq[$qnum])";
	}';
	eval 'sub TSTILE_WAKEALL {
	    local($ts, $qnum) = @_;
	    eval " &sleepq_wakeall(&($ts)-> &ts_sleepq[$qnum])";
	}';
	eval 'sub TSTILE_SLEEPQ {
	    local($ts, $sobj_ops) = @_;
	    eval "(($ts)-> &ts_sleepq[ &SOBJ_QNUM($sobj_ops)])";
	}';
	eval 'sub TSTILE_DEQ {
	    local($ts, $qnum, $t) = @_;
	    eval " &sleepq_dequeue(&($ts)-> &ts_sleepq[$qnum], $t)";
	}';
	eval 'sub TSTILE_UNSLEEP {
	    local($ts, $qnum, $t) = @_;
	    eval " &sleepq_unsleep(&($ts)-> &ts_sleepq[$qnum], $t)";
	}';
	eval 'sub TSTILE_EMPTY {
	    local($ts, $qnum) = @_;
	    eval "(($ts)-> &ts_sleepq[$qnum]. &sq_first ==  &NULL)";
	}';
	if (defined &__STDC__) {
	}
	else {
	}
    }
    if (defined &__cplusplus) {
    }
}
1;
